package com.mq.xiezaixiaoka;

import android.os.Bundle;
import android.widget.TextView;

import com.mq.mylibrary.base.BaseNfcActivity;
import com.mq.mylibrary.tool.ETTool;
import com.mq.xiezaixiaoka.db.XieZaiXiaoKaEntity;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;


/**
 * 创建人 mQ
 * 创建时间 2019/8/29 0029 20:04
 * 文件名称 DetailActivity
 * 说明: 卸载详情
 **/
public class DetailActivity extends BaseNfcActivity {


    @BindView(R.id.tv_check_number)
    TextView mTvCheckNumber;
    @BindView(R.id.tv_work_number)
    TextView mTvWorkNumber;
    @BindView(R.id.tv_customer)
    TextView mTvCustomer;
    @BindView(R.id.tv_grain)
    TextView mTvGrain;
    @BindView(R.id.tv_car)
    TextView mTvCar;
    @BindView(R.id.tv_tare)
    TextView mTvTare;
    @BindView(R.id.tv_gross_weight)
    TextView mTvGrossWeight;
    @BindView(R.id.tv_platform)
    TextView mTvPlatform;
    @BindView(R.id.tv_position)
    TextView mTvPosition;
    @BindView(R.id.tv_finish_count)
    TextView mTvFinishCount;
    @BindView(R.id.tv_work_team)
    TextView mTvWorkTeam;
    @BindView(R.id.tv_work_group)
    TextView mTvWorkGroup;
    @BindView(R.id.tv_entd)
    TextView mTvEntd;
    @BindView(R.id.tv_start_time)
    TextView mTvStartTime;
    @BindView(R.id.tv_end_time)
    TextView mTvEndTime;
    private XieZaiXiaoKaEntity mEntity;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_detail);
        ButterKnife.bind(this);

        //取出读卡数据
        mEntity = (XieZaiXiaoKaEntity) getIntent().getSerializableExtra("bean");

        ETTool.setData(mTvCheckNumber, mEntity.check_number);
        ETTool.setData(mTvWorkNumber, mEntity.work_number);
        ETTool.setData(mTvCustomer, mEntity.customer);
        ETTool.setData(mTvGrain, mEntity.grain);
        ETTool.setData(mTvCar, mEntity.car);
        ETTool.setData(mTvTare, mEntity.tare);
        ETTool.setData(mTvGrossWeight, mEntity.gross_weight);
        ETTool.setData(mTvPlatform, mEntity.platform);
        ETTool.setData(mTvPosition, mEntity.position);
        ETTool.setData(mTvFinishCount, mEntity.finish_count);
        ETTool.setData(mTvWorkTeam, mEntity.work_team);
        ETTool.setData(mTvWorkGroup, mEntity.work_group);
        ETTool.setData(mTvEntd, mEntity.entd);
        ETTool.setData(mTvStartTime, mEntity.start_time);
        ETTool.setData(mTvEndTime, mEntity.end_time);

    }

    @OnClick(R.id.bar_back)
    public void onViewClicked() {
        onBackPressed();
    }
}
